# Swarm
Swarm is a tool that facilitates creation and management of Inspire Evolve scripts.

### Requirements:
To use the tool, you must have the following:

 - .NET Framework
 - Bobril https://www.npmjs.com/package/bobril-build

### Commands
The tool is operated via commands and their parameters.

#### Login
Logs in to the Quadient cloud platform.

Parameters:

 - cloudUrl - The URL address of the cloud company you want to log in to. Required parameter.
 - apiKey - API key used to authenticate the login. Optional parameter. If not used, login will be done via a prompt.

Example:
```
swarm login testcompany.quadientcloud.eu 
```
 
#### Logout
Logs out of the Quadient cloud platform.

Parameters:

 - cloudUrl - The URL address of the cloud company you want to log out of. Required parameter.
 
Example:
```
swarm logout testcompany.quadientcloud.eu
```

#### Script
Manages scripts.

##### Init
Creates an empty example project.

Parameters:

 - name - Name of the project. Required parameter.

Example:
```
swarm script init --name Example_Script
```

##### Upload
Compiles and uploads the script to the Quadient cloud platform (the company you are logged in to).

Example:
```
swarm script upload
```





