"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatString = exports.getPlatform = void 0;
const os = require("os");
const platformToAssetNameMap = {
    "win32-x64": "win_x64",
    "win32-x86": "win_x64",
    "win32-x32": "win_x64",
    "win32-ia32": "win_x64",
    "linux-x64": "linux_x64",
    "darwin-x64": "osx_x64",
    "darwin-arm64": "osx_arm64",
};
function getPlatform() {
    const platformWithArch = os.platform() + "-" + os.arch();
    return platformToAssetNameMap[platformWithArch] || platformWithArch;
}
exports.getPlatform = getPlatform;
function formatString(template, ...args) {
    for (let index = 0; index < args.length; index++) {
        template = template.replace(`{${index}}`, args[index]);
    }
    return template;
}
exports.formatString = formatString;
